### Method

# Gtk CellArearequest_renderer

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_request_renderer (
      GtkCellArea* area,
      GtkCellRenderer* renderer,
      GtkOrientation orientation,
      GtkWidget* widget,
      int for_size,
      int* minimum_size,
      int* natural_size
    )

#### Description [src]

This is a convenience function for `GtkCellArea` implementations to request size for cell renderers. It’s important to use this function to request size and then use `gtk_cell_area_inner_cell_area()` at render and event time since this function will add padding around the cell for focus painting.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`renderer`

  Type: `GtkCellRenderer`

  The `GtkCellRenderer` to request size for.

  The data is owned by the caller of the method.

`orientation`

  Type: `GtkOrientation`

  The `GtkOrientation` in which to request size.

`widget`

  Type: `GtkWidget`

  The `GtkWidget` that `area` is rendering onto.

  The data is owned by the caller of the method.

`for_size`

  Type: `int`

  The allocation contextual size to request for, or -1 if the base request for the orientation is to be returned.

`minimum_size`

  Type: `int*`

  Location to store the minimum size.

  The argument will be set by the function.
  The argument can be `NULL`.

`natural_size`

  Type: `int*`

  Location to store the natural size.

  The argument will be set by the function.
  The argument can be `NULL`.